gmp_divexact
gmp_gcd
GMP Functions
PHP Manual

# gmp_fact

(PHP 4 >= 4.0.4, PHP 5)

gmp_fact — Factorial

### Description

resource gmp_fact ( mixed `$a` )

Calculates factorial (a!) of `a` .

### Parameters

`a`

  The factorial number.

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

### Return Values

A GMP number resource.

### Examples

Example #1 gmp_fact() example

`<?php
$fact1 = gmp_fact(5); // 5 * 4 * 3 * 2 * 1
echo gmp_strval($fact1) . "\n";
$fact2 = gmp_fact(50); // 50 * 49 * 48, ... etc
echo gmp_strval($fact2) . "\n";
?>`

The above example will output:

    120
    30414093201713378043612608166064768844377641568960512000000000000

gmp_divexact
gmp_gcd
GMP Functions
PHP Manual